> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/classes-usadas/body/docfromtemplate.md).

# DocFromTemplate

Classe para a criação de documentos

Classe herdada da classe [Doc](/facilitadores/sdks/sdk-em-java/classes-usadas/body/doc.md).

### Propriedades:

<table><thead><tr><th width="275">nome</th><th width="213.33333333333331" align="center">tipo</th><th>descrição</th></tr></thead><tbody><tr><td>signer_name</td><td align="center">String</td><td>nome do signatário</td></tr><tr><td>template_id</td><td align="center">String</td><td>id do modelo</td></tr><tr><td>data</td><td align="center">List&#x3C;<a href="/facilitadores/sdks/sdk-em-java/classes-usadas/body/deparatemplate.md">DeParaTemplate</a>></td><td>lista de "de para" das variáveis do modelo</td></tr><tr><td>send_automatic_email</td><td align="center">boolean</td><td>Se <strong>true</strong>, a ZapSign irá enviar um e-mail ao signatário com o link para assinar o documento. Se <strong>false</strong> (default), você é quem se encarregará de compartilhar o link de assinatura com o signatário, seja pelo seu site, widget, WhatsApp, SMS, e-mail, chat etc. Observação: para isso funcionar, é obrigatório que o email do signatário seja definido com um campo dinâmico, por exemplo {{EMAIL DO CLIENTE}}, e esse valor seja enviado junto da requisição.</td></tr><tr><td>send_automatic_whatsapp</td><td align="center">boolean</td><td>Se <strong>true</strong>, a ZapSign irá enviar uma mensagem por WhatsApp ao signatário com o link para assinar o documento. Se <strong>false</strong> (default), <a href="https://docs.zapsign.com.br/documentos/criar-documento#o-que-fazer-com-a-resposta">você é quem se encarregará de compartilhar o link de assinatura com o signatário</a>, seja pelo seu site, widget, WhatsApp, SMS, e-mail, chat etc. Observação: para isso funcionar, é obrigatório que o phone_country e phone_number do signatário sejam definidos e <strong>cada envio automático via WhatsApp custa R$ 0,50. Adicione créditos em</strong> <a href="https://app.zapsign.com.br/conta/configuracoes?tab=plans"><strong>Configurações > Plano</strong></a><strong>.</strong></td></tr><tr><td>custom_message </td><td align="center">String</td><td>(apenas relevante caso <strong>send_automatic_email: true</strong>). A custom_message é a mensagem personalizada que você pode inserir no e-mail enviado pela ZapSign ao signatário. Exemplo: "Olá Fulano, \n Este é o seu contrato de trabalho. \n Abraços, Equipe XPTO". O símbolo \n serve para "pular uma linha" no texto do e-mail. Default: ""</td></tr><tr><td>signer_has_incomplete_fields </td><td align="center">boolean</td><td>Caso definido como <em>true</em>, o signatário será direcionado para preencher o formulário do modelo antes de assinar o documento. Observação: valores enviados em <em>data</em> já estarão preenchidos, sem que o signatário precise preencher novamente. Default: false.</td></tr></tbody></table>

### Override:

DocFromTemplate não recebe signatários, então não é possivel realizar metodos como:&#x20;

* getSigners
* setSigners


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/classes-usadas/body/docfromtemplate.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
